All of lore.kernel.org
 help / color / mirror / Atom feed
From: Stefan Kisdaroczi <kisda@domain.hid>
To: xenomai@xenomai.org
Subject: Re: [Xenomai-core] Xenomai in Debian
Date: Thu, 25 Feb 2010 14:44:21 +0100	[thread overview]
Message-ID: <4B867EB5.9090504@domain.hid> (raw)
In-Reply-To: <1266140329.27019.17.camel@domain.hid>


[-- Attachment #1.1: Type: text/plain, Size: 735 bytes --]

Hi,

Am 14.02.2010 10:38, schrieb Philippe Gerum:
> <snip>
> In any case, thanks for your work so far. We probably need to discuss
> the packaging issues on this list, so that we get both consistency and
> usability in the future.
> 
> Gilles and Roland, if this is fine with you, I'll handle the liaison
> role with upstream packagers, so please CC me explicitly on those mails.
> We'll sort out this issue, it doesn't look that bad anyway.

udev/xenomai.rules sets the group for realtime devices to "xenomai".
Patch attached to create the group "xenomai" on installation.

Additionally, it would be nice to set "xeno_nucleus.xenomai_gid" to
group "xenomai" too. Is this possible with a udev rule ?

regards
kisda

[-- Attachment #1.2: group-xenomai.patch --]
[-- Type: text/plain, Size: 835 bytes --]

diff --git a/debian/libxenomai1.postinst b/debian/libxenomai1.postinst
index 8afc6fc..97c3476 100644
--- a/debian/libxenomai1.postinst
+++ b/debian/libxenomai1.postinst
@@ -1,6 +1,22 @@
 #!/bin/sh -e
 
-rm -f /etc/udev/rules.d/xenomai.rules
-ln -sf ../xenomai.rules /etc/udev/rules.d/xenomai.rules
+case "$1" in
+    configure)
+        # Add the xenomai group unless it's already there
+        if ! getent group xenomai >/dev/null; then
+            addgroup --quiet --system xenomai || true
+        fi
+        rm -f /etc/udev/rules.d/xenomai.rules
+        ln -sf ../xenomai.rules /etc/udev/rules.d/xenomai.rules
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
 
 #DEBHELPER#

[-- Attachment #2: OpenPGP digital signature --]
[-- Type: application/pgp-signature, Size: 251 bytes --]

  parent reply	other threads:[~2010-02-25 13:44 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2010-02-07  9:01 [Xenomai-core] Xenomai in Debian Roland Stigge
2010-02-07 14:24 ` Gilles Chanteperdrix
2010-02-13 14:32 ` Gilles Chanteperdrix
2010-02-13 15:07   ` Roland Stigge
2010-02-13 15:25     ` Gilles Chanteperdrix
2010-02-13 18:30       ` Jan Kiszka
2010-02-13 18:37         ` Gilles Chanteperdrix
2010-02-13 18:48           ` Jan Kiszka
2010-02-13 21:15             ` Gilles Chanteperdrix
2010-02-14  9:38     ` Philippe Gerum
2010-02-23 16:52       ` Stefan Kisdaroczi
2010-02-23 17:46         ` Philippe Gerum
2010-02-24 13:06           ` Stefan Kisdaroczi
2010-02-24 13:11             ` Philippe Gerum
2010-02-24 13:13               ` Philippe Gerum
2010-02-26 13:13                 ` Stefan Kisdaroczi
2010-02-26 13:28                   ` Philippe Gerum
2010-02-26 13:48                     ` Stefan Kisdaroczi
2010-02-26 14:07                       ` Philippe Gerum
2010-03-03 16:54                         ` Stefan Kisdaroczi
2010-03-03 17:21                           ` Philippe Gerum
2010-02-25 12:46             ` Stefan Kisdaroczi
2010-02-25 13:44       ` Stefan Kisdaroczi [this message]
2010-02-25 13:49         ` Gilles Chanteperdrix
2010-02-25 13:59           ` Stefan Kisdaroczi
2010-02-25 14:29             ` Stefan Kisdaroczi
2010-02-25 17:18               ` Stefan Kisdaroczi
2010-02-26 13:35                 ` Stefan Kisdaroczi
2010-05-02 16:01                   ` Roland Stigge
     [not found]             ` <4B868CC1.6030103@domain.hid>
2010-02-25 18:31               ` Stefan Kisdaroczi
2010-02-25 13:59           ` Jan Kiszka
2010-03-01 17:04     ` Gilles Chanteperdrix
2010-03-01 21:45       ` Roland Stigge
  -- strict thread matches above, loose matches on Subject: below --
2008-02-26  8:25 Roland Stigge
2008-02-26 10:26 ` Gilles Chanteperdrix
2008-02-26 10:43   ` Roland Stigge
2008-02-26 13:20     ` Gilles Chanteperdrix
2008-02-26 15:32       ` Roland Stigge

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=4B867EB5.9090504@domain.hid \
    --to=kisda@domain.hid \
    --cc=xenomai@xenomai.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.